Page Summary
-
The
MutateCampaignBudgetsRPC method is used to create, update, or remove campaign budgets. -
This method returns operation statuses after execution.
-
The operation may throw a variety of errors, including authentication, authorization, and internal errors.
-
This method requires the
https://www.googleapis.com/auth/adwordsOAuth scope for authorization.
Creates, updates, or removes campaign budgets. Operation statuses are returned.
List of thrown errors: AuthenticationError AuthorizationError CampaignBudgetError DatabaseError DistinctError FieldError FieldMaskError HeaderError InternalError MutateError NewResourceCreationError OperationAccessDeniedError QuotaError RangeError RequestError ResourceCountLimitExceededError StringLengthError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/campaignBudgets:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
CampaignBudgetOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for campaign budget mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateCampaignBudgetResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.